Page MenuHomePhabricator

[CatWatch] Make it easy to distinguish CatWatch changes on IRC
Closed, DeclinedPublic

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Addshore claimed this task.Feb 18 2016, 8:23 PM
Addshore moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-02-17 board.
Addshore closed this task as Invalid.EditedFeb 18 2016, 8:29 PM
Danny_B reopened this task as Open.Feb 18 2016, 9:15 PM

Having catwatch on Recent Changes is useful. Removing it is not a solution (it actually is against the whole idea of catwatch). Different formatting alowing its filtration should be done instead.

@Danny_B wooh? did I miss something, or why do you think, category membership changes were removed from Recent Changes? The change mentioned by @Addshore is about removing it from the IRC feed.

@Danny_B wooh? did I miss something, or why do you think, category membership changes were removed from Recent Changes? The change mentioned by @Addshore is about removing it from the IRC feed.

Sorry, my fault. I didn't explicitely say I mean Recent Changes IRC feed in this particular case which I expected is obvious from the title.

@Danny_B wooh? did I miss something, or why do you think, category membership changes were removed from Recent Changes? The change mentioned by @Addshore is about removing it from the IRC feed.

Sorry, my fault. I didn't explicitely say I mean Recent Changes IRC feed in this particular case which I expected is obvious from the title.

In which case the changes that you want to the on wiki RC feed are covered by T126851 still.

As for the IRC RC feed, this is actually feature frozen and thus the RC changes should never have been introduced here, hence they have now been removed.

Addshore closed this task as Invalid.Feb 23 2016, 9:52 AM

@Danny_B wooh? did I miss something, or why do you think, category membership changes were removed from Recent Changes? The change mentioned by @Addshore is about removing it from the IRC feed.

Sorry, my fault. I didn't explicitely say I mean Recent Changes IRC feed in this particular case which I expected is obvious from the title.

In which case the changes that you want to the on wiki RC feed are covered by T126851 still.

??? I'm confused, what you mean exactly...

As for the IRC RC feed, this is actually feature frozen and thus the RC changes should never have been introduced here, hence they have now been removed.

What is "feature frozen"? (And why?)

And why is this closed as "invalid"?

The IRC feed is feature frozen and is deprecated.
The replacement, the RC stream, contains catwatch changes.

This task was opened specifically for making "it easy to distinguish CatWatch changes on IRC"
T126851 covers making it easier on the site!

Danny_B reopened this task as Open.EditedFeb 23 2016, 12:50 PM

The IRC feed is feature frozen and is deprecated.
The replacement, the RC stream, contains catwatch changes.

IRC is not deprecated and RC stream is not considered as its replacement (it is not in production but beta status) as clearly stated at {T87780#2031332}, thus reopening.

This task was opened specifically for making "it easy to distinguish CatWatch changes on IRC"
T126851 covers making it easier on the site!

Yes, there was nothing here about the site, so how did we actually get into mentioning this? ;-)

Per what was said by @Krinkle in T87780#2031332 IRC perhaps is not deprecated / feature frozen.
But this is exactly the opposite of what I was told in IRC last week!

@Krinkle, @Legoktm care to clear this up?

Per what was said by @Krinkle in T87780#2031332 IRC perhaps is not deprecated / feature frozen.
But this is exactly the opposite of what I was told in IRC last week!
@Krinkle, @Legoktm care to clear this up?

Feature freeze and deprecation are separate concepts.

The classic IRC is feature frozen. Which is to say, it will not break or have major changes that require clients to change their code. Due to the limited format that was originally chosen, I don't see a way we can introduce CatWatch events into the old format in a non-breaking way.

New efforts should focus on enhancing and stabilising RCStream instead. It is indeed still in beta, but more experienced developers may be willing to start using it at the cost of having to look out for any announcements on wikitech-l about it changing (I anticipate at least one major change in a few weeks/months, which is T68232).

I expect that soon after T68232, we will launch RCStream as publicly announced and encourage its use over IRC for all users. Around that time we'll also start a discussion on how, when and for how long we want to maintain the then-deprecated IRC service.

Ok, so in a nutshell (if I got it right):

  • CatWatch changes are not going to be shown via classic IRC
  • RCStream is the way to go (but nothing we are going to do right away)
  • This task can be closed (again)

Ok, so in a nutshell (if I got it right):

  • CatWatch changes are not going to be shown via classic IRC
  • RCStream is the way to go (but nothing we are going to do right away)
  • This task can be closed (again)

Adding a new way how to display catwatch in IRC is non breaking change. Simply such line format will be ignored by current clients which parse regular edit and log record.

Using the old way was breaking, because it used the same line format for different feature.

Ok, so in a nutshell (if I got it right):

  • CatWatch changes are not going to be shown via classic IRC
  • RCStream is the way to go (but nothing we are going to do right away)

To clarify, they are already being sent to RCStream.

  • This task can be closed (again)

I think so, as declined.

Adding a new way how to display catwatch in IRC is non breaking change. Simply such line format will be ignored by current clients which parse regular edit and log record.

No *it is* a breaking change, because clients that aren't expecting it in their regexes will throw exceptions and break. It would be nice if they ignored it and moved on, but I doubt that's the case.

Ok, so in a nutshell (if I got it right):

  • CatWatch changes are not going to be shown via classic IRC
  • RCStream is the way to go (but nothing we are going to do right away)

To clarify, they are already being sent to RCStream.

  • This task can be closed (again)

I think so, as declined.

So we are removing the useful feature (the best usable by machines) from the machine legible continuous feed? When we don't even have a time frame of when the IRC will be not only turned off, but even qualifically replaced by other solution?

Adding a new way how to display catwatch in IRC is non breaking change. Simply such line format will be ignored by current clients which parse regular edit and log record.

No *it is* a breaking change, because clients that aren't expecting it in their regexes will throw exceptions and break. It would be nice if they ignored it and moved on, but I doubt that's the case.

Well, in fact none of us can verify either statement about clients, since none of us knows every single existing client ;-).
OTOH there is not so many existing commonly used clients - PWB, VF, AWB?, ... so it should not be too hard to check...

BTW forcing usage of RCstream to be able to use the CatWatch feature instead of IRC isn't a breaking change? ;-)

Addshore removed Addshore as the assignee of this task.Feb 29 2016, 10:25 AM
Krinkle closed this task as Declined.Feb 29 2016, 3:23 PM
  • This task can be closed (again)

I think so, as declined.

So we are removing the useful feature (the best usable by machines) from the machine legible continuous feed? [..]
BTW forcing usage of RCstream to be able to use the CatWatch feature instead of IRC isn't a breaking change? ;-)

Nothing changed in the IRC feed by not adding CatWatch. It's not a breaking change. The decision is that we're not taking any risk to break consumers of the classic IRC feed. The only thing that was implicitly changed here is RCStream, which now includes CatWatch items in its feed as well.

If an active maintainer of an IRC-powered tool is interested in changing their tool to use CatWatch data in some they, then they'll first have to refactor it to use RCStream instead. They could even decide to keep using IRC for current events and only use RCFeed for CatWatch data. Either way, nothing was removed, and nothing was changed in the IRC feed.

Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Mar 17 2016, 2:01 PM